> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all softwares

> Return the list of softwares for your company with id, name, platform, source, installation type, and target method.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /software
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software:
    get:
      tags:
        - Softwares
      summary: Get all softwares
      description: >-
        Return the list of softwares for your company with id, name, platform,
        source, installation type, and target method.
      operationId: getSoftwares
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            type: number
        - name: perPage
          required: false
          in: query
          description: Number of items per page (max 100)
          schema:
            minimum: 1
            maximum: 100
            default: 50
            type: number
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSoftwares_Output'
components:
  schemas:
    GetSoftwares_Output:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              platform:
                type: string
                enum:
                  - macos
                  - windows
                  - ios
                  - ipados
                  - android
                  - linux
                  - chromeos
                  - unknown
              source:
                type: string
                enum:
                  - fma
                  - appStore
                  - customPackage
                  - androidStore
              installationType:
                type: string
                enum:
                  - manual
                  - automatic
              autoUpdatePackage:
                type: boolean
              autoInstallUpdate:
                type: boolean
              targetMethod:
                type: string
                enum:
                  - All
                  - DeviceGroup
            required:
              - id
              - name
              - platform
              - source
              - installationType
              - autoUpdatePackage
              - autoInstallUpdate
              - targetMethod
            additionalProperties: false
        pagination:
          type: object
          properties:
            totalElements:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            totalPages:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            page:
              type: integer
              minimum: 1
              maximum: 9007199254740991
            perPage:
              type: integer
              minimum: 1
              maximum: 100
          required:
            - totalElements
            - totalPages
            - page
            - perPage
          additionalProperties: false
      required:
        - data
        - pagination
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````